//
//  EHStyleConfig.h
//  EweiSDK
//
//  Created by Kiwi on 2018/4/26.
//  Copyright © 2018 infocare. All rights reserved.
//

#import <UIKit/UIKit.h>

/*
 EHStyleConfig 为开发者提供修改界面主题色的方法，此设置仅对 SDK 内置原生页面内容 UI 元素有影响，
 
 如需修改 navigation item 颜色及标题文字样式，请直接调用系统 API:
 - 修改导航栏按钮颜色: navigationController.navigationBar.tintColor = YOUR_COLOR;
 - 修改导航栏标题颜色及字体样式: navigationController.navigationBar.titleTextAttributes = YOUR_TITLE_ATT;
 - 修改导航栏背景色：navigationController.navigationBar.barTintColor = YOUR_COLOR;
 */

@interface EHStyleConfig : NSObject

/*
 用于设置 SDK 内置页面主题色
 
 （默认为 iOS 系统默认蓝色 key color: 0, 122, 255）
 利用 navigation push 方式进入的 sdk 页面不受此设置影响，直接继承上层的设置
 
 e.g.
 navigation item 按钮风格颜色
 sdk 内置页面的按钮颜色
 */
+ (void)setKeyColor:(UIColor*)color;



/*
 用于设置 SDK 内置页面超链接风格颜色
 
 （默认为蓝色: 72, 119, 237）
 
 e.g.
 在线客服、工单中消息气泡中的电话、邮箱等超链接风格颜色
 */
+ (void)setHyperlinkColor:(UIColor*)color;



@end
