//
//  EHTicket.h
//  EweiSDK
//
//  Created by Kiwi on 2018/1/22.
//  Copyright © 2018年 infocare. All rights reserved.
//

#import "EHModel.h"

#ifndef EHTicket_h
#define EHTicket_h

@class EHUser, EHTag, EHCCItem;

// new、open、solved、closed、pending、suspended、deleted
typedef NS_ENUM(NSUInteger, EHTicketStatus) {
    EHTicketStatusNew = 0, // 未分派
    EHTicketStatusAssigned = 1, // 待接单
    EHTicketStatusOpen = 2, // 处理中
    EHTicketStatusSolved = 3, // 处理完毕
    EHTicketStatusClosed = 4, // 已关闭
    EHTicketStatusPending = 5, // 暂停中
    EHTicketStatusSuspended = 6, // 已隔离
//    EHTicketStatusDeleted = 7 // 已删除 DEPRECATED
};

@interface EHTicket : EHModel

@property (strong, nonatomic) NSString * subject; // 工单主题
@property (strong, nonatomic) NSString * number; // 工单编号
@property (strong, nonatomic) NSString * createDate; // 创建时间
@property (strong, nonatomic) NSString * lastUpdateDate; // 上次更新时间
@property (assign, nonatomic) EHTicketStatus status; // 工单状态
@property (strong, nonatomic) EHUser * requester; // 请求者
@property (strong, nonatomic) EHUser * hanlder; // 处理人
@property (strong, nonatomic) NSArray <EHCCItem*> * ccsArray; // 标签
@property (strong, nonatomic) NSArray <EHTag*> * tagsArray; // 标签

@end

#endif /* EHTicket_h */
