//
//  EHUser.h
//  EweiSDK
//
//  Created by Kiwi on 2018/1/17.
//  Copyright © 2018年 infocare. All rights reserved.
//

#ifndef EHUser_h
#define EHUser_h

#import "EHModel.h"

@class EHTag;

@interface EHUser : EHModel <NSMutableCopying>

// used as account identifier
/*
 以下 4 个属性用于用户授权，
 如果都不设置（即全为 nil），则为匿名用户，会话表单仅对匿名用户生效
 */
@property (strong, nonatomic) NSString * name; // 姓名
@property (strong, nonatomic) NSString * phone; // 手机号
@property (strong, nonatomic) NSString * email; // 邮箱
@property (strong, nonatomic) NSString * externalID; // 第三方 ID，用于对接第三方用户体系

// other information
@property (strong, nonatomic) NSString * telephone; // 座机号
@property (strong, nonatomic) NSString * nickname; // 用户昵称
@property (strong, nonatomic) NSString * signature; // 用户签名
@property (strong, nonatomic) NSString * lastOnlineDate; // 上次登录时间
@property (readonly) NSString * avatarURL; // 用户头像图片 URL
@property (strong, nonatomic) NSArray <EHTag *> * tags; // 标签

@end

#endif /* EHUser_h */
